Kerbal Space Program - Bug #22165

New manoeuvre mode set Steam Controller bindings to "Menu" action se
Assignee:

Category: Input Devices and Settings

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When in Flight mode or in Map mode, if | click on the new "Manoeuvre" button, the Steam Controller bindings are set to the "Menu
action set, instead of staying in the current mode (Flight or Map). This is visible in the message displayed on the top right corner of
the screen.

This implies that - for example - the left target is now a left click instead of thrust decrement, making the rocket impossible to pilot.

History

#1 - 06/02/2019 05:31 PM - Doughnutz

- Subject changed from New manoeuvre mode set Steam Controller bindings to "Menu" action set to New manoeuvre mode set Steam Controller
bindings to "Menu" action se

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Language English (US) added

- Language deleted (Frangais (French))

Can confirm this, also if maneuver mode is selected and then a kerbal is eva'd, you have to swap view back to the spacecraft to be able to swap and
confirm which mode you are in and then swap back to the kerbal to continue eva for steam controller to use correct control set for the kerbal and eva.
Very frustrating at times.

#3 - 09/18/2020 03:17 PM - Ihervier

Also breaks Steam bindings for other controllers like XBox One or PS4.

#4 - 06/30/2021 05:06 PM - Ihervier

Steam Controller support is totally broken in 1.11. No action set changes are triggered. The game stay on the "Menu Controls" Action Set.
But fortunately, the support is back again in 1.12.0... with the same bug.

| made some "research”, and found that in your "GetModeForCurrentContext" method of your "KSPSteamController" class of your "KSPSteamCtrlr"
plugin (GameData/Squad/Plugins/KSPSteamCitrlr.dll), you don't switch/case the new values added to the FlightUIMode enumeration in 1.6. Patch is
trivial.

Anyway, all the job to communicate with the Steam Controller (the hard part) is done in your SteamController public class, which is well documented.
So, | wrote my own plugin. It is present here : https:/github.com/Ihervier/KSP-Bug22165Fix

| wrote it from scratch, but can't help gaining time by decompiling yours... | suppose this is a problem even if the two codes seems very different. Just
tell me, and | will make my repository private.

Also note that Steam Controller API is deprecated in favor of the new SteamInput API. It may be good idea to upgrade.

#5 - 07/06/2021 08:20 AM - Ihervier

Playing with this mod for 5 days now, and it seems to work. So, | release the first version.
It is available here : https:/github.com/lhervier/KSP-Bug22165Fix/releases/tag/1.0

To install :

- Remove Squad dIl (GameData/Squad/Plugins/StreamCtrlr.dll)
https://github.com/lhervier/KSP-Bug22165Fix
https://github.com/lhervier/KSP-Bug22165Fix/releases/tag/1.0

- Unzip the release in GameData folder so you have a GameData/SteamController/SteamController.dll file
You can look at the logs in the KSP.log file. Just search for the "[SteamController]" string.

Only tested on Windows x64.

04/23/2024 22


http://www.tcpdf.org

